# DataExchange
TKSTEPBase
StepShape

# StepShape_CsgSolid Class Reference

`#include <StepShape_CsgSolid.hxx>`

Inheritance diagram for StepShape_CsgSolid:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_CsgSolid ()
| Returns a CsgSolid .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepShape_CsgSelect &aTreeRootExpression)
Standard_EXPORT void | SetTreeRootExpression (const StepShape_CsgSelect &aTreeRootExpression)
Standard_EXPORT StepShape_CsgSelect | TreeRootExpression () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepShape_CsgSelect | treeRootExpression

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_CsgSolid::StepShape_CsgSolid | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_CsgSolid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_SolidModel.

virtual Standard_EXPORT void StepShape_CsgSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepShape_CsgSelect & | aTreeRootExpression
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_CsgSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepShape_CsgSolid::SetTreeRootExpression | ( | const StepShape_CsgSelect & | aTreeRootExpression | ) |

Standard_EXPORT StepShape_CsgSelect StepShape_CsgSolid::TreeRootExpression | ( |  | ) | const

## Field Documentation

StepShape_CsgSelect StepShape_CsgSolid::treeRootExpression `[private]`

The documentation for this class was generated from the following file:

- StepShape_CsgSolid.hxx